Bullet Collision Detection & Physics Library: btGeneric6DofSpring2Constraint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
btGeneric6DofSpring2Constraint Class Reference

`#include <btGeneric6DofSpring2Constraint.h>`

Inheritance diagram for btGeneric6DofSpring2Constraint:
[legend]
Collaboration diagram for btGeneric6DofSpring2Constraint:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btGeneric6DofSpring2Constraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &frameInA, const btTransform &frameInB, RotateOrder rotOrder=RO_XYZ)
| 2009 March: btGeneric6DofConstraint refactored by Roman Ponomarev Added support for generic constraint solver through getInfo1/getInfo2 methods More...
| btGeneric6DofSpring2Constraint (btRigidBody &rbB, const btTransform &frameInB, RotateOrder rotOrder=RO_XYZ)
virtual void | buildJacobian ()
| internal method used by the constraint solver, don't use them directly More...
virtual void | getInfo1 (btConstraintInfo1 *info)
| internal method used by the constraint solver, don't use them directly More...
virtual void | getInfo2 (btConstraintInfo2 *info)
| internal method used by the constraint solver, don't use them directly More...
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure) More...
btRotationalLimitMotor2 * | getRotationalLimitMotor (int index)
btTranslationalLimitMotor2 * | getTranslationalLimitMotor ()
void | calculateTransforms (const btTransform &transA, const btTransform &transB)
void | calculateTransforms ()
const btTransform & | getCalculatedTransformA () const
const btTransform & | getCalculatedTransformB () const
const btTransform & | getFrameOffsetA () const
const btTransform & | getFrameOffsetB () const
btTransform & | getFrameOffsetA ()
btTransform & | getFrameOffsetB ()
btVector3 | getAxis (int axis_index) const
btScalar | getAngle (int axis_index) const
btScalar | getRelativePivotPosition (int axis_index) const
void | setFrames (const btTransform &frameA, const btTransform &frameB)
void | setLinearLowerLimit (const btVector3 &linearLower)
void | getLinearLowerLimit (btVector3 &linearLower)
void | setLinearUpperLimit (const btVector3 &linearUpper)
void | getLinearUpperLimit (btVector3 &linearUpper)
void | setAngularLowerLimit (const btVector3 &angularLower)
void | setAngularLowerLimitReversed (const btVector3 &angularLower)
void | getAngularLowerLimit (btVector3 &angularLower)
void | getAngularLowerLimitReversed (btVector3 &angularLower)
void | setAngularUpperLimit (const btVector3 &angularUpper)
void | setAngularUpperLimitReversed (const btVector3 &angularUpper)
void | getAngularUpperLimit (btVector3 &angularUpper)
void | getAngularUpperLimitReversed (btVector3 &angularUpper)
void | setLimit (int axis, btScalar lo, btScalar hi)
void | setLimitReversed (int axis, btScalar lo, btScalar hi)
bool | isLimited (int limitIndex)
void | setRotationOrder (RotateOrder order)
RotateOrder | getRotationOrder ()
void | setAxis (const btVector3 &axis1, const btVector3 &axis2)
void | setBounce (int index, btScalar bounce)
void | enableMotor (int index, bool onOff)
void | setServo (int index, bool onOff)
void | setTargetVelocity (int index, btScalar velocity)
void | setServoTarget (int index, btScalar target)
void | setMaxMotorForce (int index, btScalar force)
void | enableSpring (int index, bool onOff)
void | setStiffness (int index, btScalar stiffness, bool limitIfNeeded=true)
void | setDamping (int index, btScalar damping, bool limitIfNeeded=true)
void | setEquilibriumPoint ()
void | setEquilibriumPoint (int index)
void | setEquilibriumPoint (int index, btScalar val)
virtual void | setParam (int num, btScalar value, int axis=-1)
| override the default global value of a parameter (such as ERP or CFM), optionally provide the axis (0..5). More...
virtual btScalar | getParam (int num, int axis=-1) const
| return the local value of parameter More...
Public Member Functions inherited from btTypedConstraint
| BT_DECLARE_ALIGNED_ALLOCATOR ()
virtual | ~btTypedConstraint ()
| btTypedConstraint (btTypedConstraintType type, btRigidBody &rbA)
| btTypedConstraint (btTypedConstraintType type, btRigidBody &rbA, btRigidBody &rbB)
int | getOverrideNumSolverIterations () const
void | setOverrideNumSolverIterations (int overideNumIterations)
| override the number of constraint solver iterations used to solve this constraint -1 will use the default number of iterations, as specified in SolverInfo.m_numIterations More...
virtual void | setupSolverConstraint (btConstraintArray &ca, int solverBodyA, int solverBodyB, btScalar timeStep)
| internal method used by the constraint solver, don't use them directly More...
void | internalSetAppliedImpulse (btScalar appliedImpulse)
| internal method used by the constraint solver, don't use them directly More...
btScalar | internalGetAppliedImpulse ()
| internal method used by the constraint solver, don't use them directly More...
btScalar | getBreakingImpulseThreshold () const
void | setBreakingImpulseThreshold (btScalar threshold)
bool | isEnabled () const
void | setEnabled (bool enabled)
virtual void | solveConstraintObsolete (btSolverBody &, btSolverBody &, btScalar)
| internal method used by the constraint solver, don't use them directly More...
const btRigidBody & | getRigidBodyA () const
const btRigidBody & | getRigidBodyB () const
btRigidBody & | getRigidBodyA ()
btRigidBody & | getRigidBodyB ()
int | getUserConstraintType () const
void | setUserConstraintType (int userConstraintType)
void | setUserConstraintId (int uid)
int | getUserConstraintId () const
void | setUserConstraintPtr (void *ptr)
void * | getUserConstraintPtr ()
void | setJointFeedback (btJointFeedback *jointFeedback)
const btJointFeedback * | getJointFeedback () const
btJointFeedback * | getJointFeedback ()
int | getUid () const
bool | needsFeedback () const
void | enableFeedback (bool needsFeedback)
| enableFeedback will allow to read the applied linear and angular impulse use getAppliedImpulse, getAppliedLinearImpulse and getAppliedAngularImpulse to read feedback information More...
btScalar | getAppliedImpulse () const
| getAppliedImpulse is an estimated total applied impulse. More...
btTypedConstraintType | getConstraintType () const
void | setDbgDrawSize (btScalar dbgDrawSize)
btScalar | getDbgDrawSize ()
Public Member Functions inherited from btTypedObject
| btTypedObject (int objectType)
int | getObjectType () const

## Protected Member Functions
btGeneric6DofSpring2Constraint & | operator= (btGeneric6DofSpring2Constraint &)
int | setAngularLimits (btConstraintInfo2 *info, int row_offset, const btTransform &transA, const btTransform &transB, const btVector3 &linVelA, const btVector3 &linVelB, const btVector3 &angVelA, const btVector3 &angVelB)
int | setLinearLimits (btConstraintInfo2 *info, int row, const btTransform &transA, const btTransform &transB, const btVector3 &linVelA, const btVector3 &linVelB, const btVector3 &angVelA, const btVector3 &angVelB)
void | calculateLinearInfo ()
void | calculateAngleInfo ()
void | testAngularLimitMotor (int axis_index)
void | calculateJacobi (btRotationalLimitMotor2 *limot, const btTransform &transA, const btTransform &transB, btConstraintInfo2 *info, int srow, btVector3 &ax1, int rotational, int rotAllowed)
int | get_limit_motor_info2 (btRotationalLimitMotor2 *limot, const btTransform &transA, const btTransform &transB, const btVector3 &linVelA, const btVector3 &linVelB, const btVector3 &angVelA, const btVector3 &angVelB, btConstraintInfo2 *info, int row, btVector3 &ax1, int rotational, int rotAllowed=false)
Protected Member Functions inherited from btTypedConstraint
btScalar | getMotorFactor (btScalar pos, btScalar lowLim, btScalar uppLim, btScalar vel, btScalar timeFact)
| internal method used by the constraint solver, don't use them directly More...

## Static Protected Member Functions
static btScalar | btGetMatrixElem (const btMatrix3x3 &mat, int index)
static bool | matrixToEulerXYZ (const btMatrix3x3 &mat, btVector3 &xyz)
static bool | matrixToEulerXZY (const btMatrix3x3 &mat, btVector3 &xyz)
static bool | matrixToEulerYXZ (const btMatrix3x3 &mat, btVector3 &xyz)
static bool | matrixToEulerYZX (const btMatrix3x3 &mat, btVector3 &xyz)
static bool | matrixToEulerZXY (const btMatrix3x3 &mat, btVector3 &xyz)
static bool | matrixToEulerZYX (const btMatrix3x3 &mat, btVector3 &xyz)

## Protected Attributes
btTransform | m_frameInA
btTransform | m_frameInB
btJacobianEntry | m_jacLinear [3]
btJacobianEntry | m_jacAng [3]
btTranslationalLimitMotor2 | m_linearLimits
btRotationalLimitMotor2 | m_angularLimits [3]
RotateOrder | m_rotateOrder
btTransform | m_calculatedTransformA
btTransform | m_calculatedTransformB
btVector3 | m_calculatedAxisAngleDiff
btVector3 | m_calculatedAxis [3]
btVector3 | m_calculatedLinearDiff
btScalar | m_factA
btScalar | m_factB
bool | m_hasStaticBody
int | m_flags
Protected Attributes inherited from btTypedConstraint
btRigidBody & | m_rbA
btRigidBody & | m_rbB
btScalar | m_appliedImpulse
btScalar | m_dbgDrawSize
btJointFeedback * | m_jointFeedback

## Additional Inherited Members
Static Public Member Functions inherited from btTypedConstraint
static btRigidBody & | getFixedBody ()
Public Attributes inherited from btTypedObject
int | m_objectType

## Detailed Description

Definition at line 277 of file btGeneric6DofSpring2Constraint.h.

## Constructor & Destructor Documentation

btGeneric6DofSpring2Constraint::btGeneric6DofSpring2Constraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | frameInA,
|  | const btTransform & | frameInB,
|  | RotateOrder | rotOrder = `RO_XYZ`
| ) |  |

2009 March: btGeneric6DofConstraint refactored by Roman Ponomarev Added support for generic constraint solver through getInfo1/getInfo2 methods

Definition at line 49 of file btGeneric6DofSpring2Constraint.cpp.

btGeneric6DofSpring2Constraint::btGeneric6DofSpring2Constraint | ( | btRigidBody & | rbB,
|  | const btTransform & | frameInB,
|  | RotateOrder | rotOrder = `RO_XYZ`
| ) |  |

not providing rigidbody A means implicitly using worldspace for body A

Definition at line 60 of file btGeneric6DofSpring2Constraint.cpp.

## Member Function Documentation

btGeneric6DofSpring2Constraint::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

btScalar btGeneric6DofSpring2Constraint::btGetMatrixElem | ( | const btMatrix3x3 & | mat,
|  | int | index
| ) |  |
| staticprotected

Definition at line 72 of file btGeneric6DofSpring2Constraint.cpp.

virtual void btGeneric6DofSpring2Constraint::buildJacobian | ( |  | ) |
| inlinevirtual

internal method used by the constraint solver, don't use them directly

Reimplemented from btTypedConstraint.

Definition at line 337 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::calculateAngleInfo | ( |  | ) |
| protected

Definition at line 281 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::calculateJacobi | ( | btRotationalLimitMotor2 * | limot,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | btConstraintInfo2 * | info,
|  | int | srow,
|  | btVector3 & | ax1,
|  | int | rotational,
|  | int | rotAllowed
| ) |  |
| protected

Definition at line 617 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::calculateLinearInfo | ( |  | ) |
| protected

Definition at line 606 of file btGeneric6DofSpring2Constraint.cpp.

int btGeneric6DofSpring2Constraint::calculateSerializeBufferSize | ( |  | ) | const
| inlinevirtual

Reimplemented from btTypedConstraint.

Definition at line 591 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::calculateTransforms | ( | const btTransform & | transA,
|  | const btTransform & | transB
| ) |  |

Definition at line 416 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::calculateTransforms | ( |  | ) |

Definition at line 411 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::enableMotor | ( | int | index,
|  | bool | onOff
| ) |  |

Definition at line 974 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::enableSpring | ( | int | index,
|  | bool | onOff
| ) |  |

Definition at line 1019 of file btGeneric6DofSpring2Constraint.cpp.

int btGeneric6DofSpring2Constraint::get_limit_motor_info2 | ( | btRotationalLimitMotor2 * | limot,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | const btVector3 & | linVelA,
|  | const btVector3 & | linVelB,
|  | const btVector3 & | angVelA,
|  | const btVector3 & | angVelB,
|  | btConstraintInfo2 * | info,
|  | int | row,
|  | btVector3 & | ax1,
|  | int | rotational,
|  | int | rotAllowed = `false`
| ) |  |
| protected

Definition at line 651 of file btGeneric6DofSpring2Constraint.cpp.

btScalar btGeneric6DofSpring2Constraint::getAngle | ( | int | axis_index | ) | const
| inline

Definition at line 365 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::getAngularLowerLimit | ( | btVector3 & | angularLower | ) |
| inline

Definition at line 389 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::getAngularLowerLimitReversed | ( | btVector3 & | angularLower | ) |
| inline

Definition at line 395 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::getAngularUpperLimit | ( | btVector3 & | angularUpper | ) |
| inline

Definition at line 413 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::getAngularUpperLimitReversed | ( | btVector3 & | angularUpper | ) |
| inline

Definition at line 419 of file btGeneric6DofSpring2Constraint.h.

btVector3 btGeneric6DofSpring2Constraint::getAxis | ( | int | axis_index | ) | const
| inline

Definition at line 362 of file btGeneric6DofSpring2Constraint.h.

const btTransform& btGeneric6DofSpring2Constraint::getCalculatedTransformA | ( |  | ) | const
| inline

Definition at line 351 of file btGeneric6DofSpring2Constraint.h.

const btTransform& btGeneric6DofSpring2Constraint::getCalculatedTransformB | ( |  | ) | const
| inline

Definition at line 353 of file btGeneric6DofSpring2Constraint.h.

const btTransform& btGeneric6DofSpring2Constraint::getFrameOffsetA | ( |  | ) | const
| inline

Definition at line 355 of file btGeneric6DofSpring2Constraint.h.

btTransform& btGeneric6DofSpring2Constraint::getFrameOffsetA | ( |  | ) |
| inline

Definition at line 358 of file btGeneric6DofSpring2Constraint.h.

const btTransform& btGeneric6DofSpring2Constraint::getFrameOffsetB | ( |  | ) | const
| inline

Definition at line 356 of file btGeneric6DofSpring2Constraint.h.

btTransform& btGeneric6DofSpring2Constraint::getFrameOffsetB | ( |  | ) |
| inline

Definition at line 359 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::getInfo1 | ( | btConstraintInfo1 * | info | ) |
| virtual

internal method used by the constraint solver, don't use them directly

Implements btTypedConstraint.

Definition at line 448 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::getInfo2 | ( | btConstraintInfo2 * | info | ) |
| virtual

internal method used by the constraint solver, don't use them directly

Implements btTypedConstraint.

Definition at line 475 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::getLinearLowerLimit | ( | btVector3 & | linearLower | ) |
| inline

Definition at line 373 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::getLinearUpperLimit | ( | btVector3 & | linearUpper | ) |
| inline

Definition at line 375 of file btGeneric6DofSpring2Constraint.h.

btScalar btGeneric6DofSpring2Constraint::getParam | ( | int | num,
|  | int | axis = `-1`
| ) |  | const
| virtual

return the local value of parameter

Implements btTypedConstraint.

Definition at line 886 of file btGeneric6DofSpring2Constraint.cpp.

btScalar btGeneric6DofSpring2Constraint::getRelativePivotPosition | ( | int | axis_index | ) | const
| inline

Definition at line 368 of file btGeneric6DofSpring2Constraint.h.

btRotationalLimitMotor2* btGeneric6DofSpring2Constraint::getRotationalLimitMotor | ( | int | index | ) |
| inline

Definition at line 343 of file btGeneric6DofSpring2Constraint.h.

RotateOrder btGeneric6DofSpring2Constraint::getRotationOrder | ( |  | ) |
| inline

Definition at line 469 of file btGeneric6DofSpring2Constraint.h.

btTranslationalLimitMotor2* btGeneric6DofSpring2Constraint::getTranslationalLimitMotor | ( |  | ) |
| inline

Definition at line 344 of file btGeneric6DofSpring2Constraint.h.

bool btGeneric6DofSpring2Constraint::isLimited | ( | int | limitIndex | ) |
| inline

Definition at line 459 of file btGeneric6DofSpring2Constraint.h.

bool btGeneric6DofSpring2Constraint::matrixToEulerXYZ | ( | const btMatrix3x3 & | mat,
|  | btVector3 & | xyz
| ) |  |
| staticprotected

Definition at line 81 of file btGeneric6DofSpring2Constraint.cpp.

bool btGeneric6DofSpring2Constraint::matrixToEulerXZY | ( | const btMatrix3x3 & | mat,
|  | btVector3 & | xyz
| ) |  |
| staticprotected

Definition at line 116 of file btGeneric6DofSpring2Constraint.cpp.

bool btGeneric6DofSpring2Constraint::matrixToEulerYXZ | ( | const btMatrix3x3 & | mat,
|  | btVector3 & | xyz
| ) |  |
| staticprotected

Definition at line 149 of file btGeneric6DofSpring2Constraint.cpp.

bool btGeneric6DofSpring2Constraint::matrixToEulerYZX | ( | const btMatrix3x3 & | mat,
|  | btVector3 & | xyz
| ) |  |
| staticprotected

Definition at line 182 of file btGeneric6DofSpring2Constraint.cpp.

bool btGeneric6DofSpring2Constraint::matrixToEulerZXY | ( | const btMatrix3x3 & | mat,
|  | btVector3 & | xyz
| ) |  |
| staticprotected

Definition at line 215 of file btGeneric6DofSpring2Constraint.cpp.

bool btGeneric6DofSpring2Constraint::matrixToEulerZYX | ( | const btMatrix3x3 & | mat,
|  | btVector3 & | xyz
| ) |  |
| staticprotected

Definition at line 248 of file btGeneric6DofSpring2Constraint.cpp.

btGeneric6DofSpring2Constraint& btGeneric6DofSpring2Constraint::operator= | ( | btGeneric6DofSpring2Constraint & |  | ) |
| inlineprotected

Definition at line 304 of file btGeneric6DofSpring2Constraint.h.

const char * btGeneric6DofSpring2Constraint::serialize | ( | void * | dataBuffer,
|  | btSerializer * | serializer
| ) |  | const
| inlinevirtual

fills the dataBuffer and returns the struct name (and 0 on failure)

Reimplemented from btTypedConstraint.

Definition at line 596 of file btGeneric6DofSpring2Constraint.h.

int btGeneric6DofSpring2Constraint::setAngularLimits | ( | btConstraintInfo2 * | info,
|  | int | row_offset,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | const btVector3 & | linVelA,
|  | const btVector3 & | linVelB,
|  | const btVector3 & | angVelA,
|  | const btVector3 & | angVelB
| ) |  |
| protected

Definition at line 549 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setAngularLowerLimit | ( | const btVector3 & | angularLower | ) |
| inline

Definition at line 377 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setAngularLowerLimitReversed | ( | const btVector3 & | angularLower | ) |
| inline

Definition at line 383 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setAngularUpperLimit | ( | const btVector3 & | angularUpper | ) |
| inline

Definition at line 401 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setAngularUpperLimitReversed | ( | const btVector3 & | angularUpper | ) |
| inline

Definition at line 407 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setAxis | ( | const btVector3 & | axis1,
|  | const btVector3 & | axis2
| ) |  |

Definition at line 946 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setBounce | ( | int | index,
|  | btScalar | bounce
| ) |  |

Definition at line 965 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setDamping | ( | int | index,
|  | btScalar | damping,
|  | bool | limitIfNeeded = `true`
| ) |  |

Definition at line 1040 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setEquilibriumPoint | ( |  | ) |

Definition at line 1052 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setEquilibriumPoint | ( | int | index | ) |

Definition at line 1062 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setEquilibriumPoint | ( | int | index,
|  | btScalar | val
| ) |  |

Definition at line 1072 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setFrames | ( | const btTransform & | frameA,
|  | const btTransform & | frameB
| ) |  |

Definition at line 597 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setLimit | ( | int | axis,
|  | btScalar | lo,
|  | btScalar | hi
| ) |  |
| inline

Definition at line 427 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setLimitReversed | ( | int | axis,
|  | btScalar | lo,
|  | btScalar | hi
| ) |  |
| inline

Definition at line 443 of file btGeneric6DofSpring2Constraint.h.

int btGeneric6DofSpring2Constraint::setLinearLimits | ( | btConstraintInfo2 * | info,
|  | int | row,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | const btVector3 & | linVelA,
|  | const btVector3 & | linVelB,
|  | const btVector3 & | angVelA,
|  | const btVector3 & | angVelB
| ) |  |
| protected

Definition at line 490 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setLinearLowerLimit | ( | const btVector3 & | linearLower | ) |
| inline

Definition at line 372 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setLinearUpperLimit | ( | const btVector3 & | linearUpper | ) |
| inline

Definition at line 374 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setMaxMotorForce | ( | int | index,
|  | btScalar | force
| ) |  |

Definition at line 1010 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setParam | ( | int | num,
|  | btScalar | value,
|  | int | axis = `-1`
| ) |  |
| virtual

override the default global value of a parameter (such as ERP or CFM), optionally provide the axis (0..5).

If no axis is provided, it uses the default axis for this constraint.

Implements btTypedConstraint.

Definition at line 829 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setRotationOrder | ( | RotateOrder | order | ) |
| inline

Definition at line 468 of file btGeneric6DofSpring2Constraint.h.

void btGeneric6DofSpring2Constraint::setServo | ( | int | index,
|  | bool | onOff
| ) |  |

Definition at line 983 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setServoTarget | ( | int | index,
|  | btScalar | target
| ) |  |

Definition at line 1001 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setStiffness | ( | int | index,
|  | btScalar | stiffness,
|  | bool | limitIfNeeded = `true`
| ) |  |

Definition at line 1028 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::setTargetVelocity | ( | int | index,
|  | btScalar | velocity
| ) |  |

Definition at line 992 of file btGeneric6DofSpring2Constraint.cpp.

void btGeneric6DofSpring2Constraint::testAngularLimitMotor | ( | int | axis_index | ) |
| protected

Definition at line 439 of file btGeneric6DofSpring2Constraint.cpp.

## Member Data Documentation

btRotationalLimitMotor2 btGeneric6DofSpring2Constraint::m_angularLimits[3]
| protected

Definition at line 288 of file btGeneric6DofSpring2Constraint.h.

btVector3 btGeneric6DofSpring2Constraint::m_calculatedAxis[3]
| protected

Definition at line 297 of file btGeneric6DofSpring2Constraint.h.

btVector3 btGeneric6DofSpring2Constraint::m_calculatedAxisAngleDiff
| protected

Definition at line 296 of file btGeneric6DofSpring2Constraint.h.

btVector3 btGeneric6DofSpring2Constraint::m_calculatedLinearDiff
| protected

Definition at line 298 of file btGeneric6DofSpring2Constraint.h.

btTransform btGeneric6DofSpring2Constraint::m_calculatedTransformA
| protected

Definition at line 294 of file btGeneric6DofSpring2Constraint.h.

btTransform btGeneric6DofSpring2Constraint::m_calculatedTransformB
| protected

Definition at line 295 of file btGeneric6DofSpring2Constraint.h.

btScalar btGeneric6DofSpring2Constraint::m_factA
| protected

Definition at line 299 of file btGeneric6DofSpring2Constraint.h.

btScalar btGeneric6DofSpring2Constraint::m_factB
| protected

Definition at line 300 of file btGeneric6DofSpring2Constraint.h.

int btGeneric6DofSpring2Constraint::m_flags
| protected

Definition at line 302 of file btGeneric6DofSpring2Constraint.h.

btTransform btGeneric6DofSpring2Constraint::m_frameInA
| protected

Definition at line 281 of file btGeneric6DofSpring2Constraint.h.

btTransform btGeneric6DofSpring2Constraint::m_frameInB
| protected

Definition at line 282 of file btGeneric6DofSpring2Constraint.h.

bool btGeneric6DofSpring2Constraint::m_hasStaticBody
| protected

Definition at line 301 of file btGeneric6DofSpring2Constraint.h.

btJacobianEntry btGeneric6DofSpring2Constraint::m_jacAng[3]
| protected

Definition at line 285 of file btGeneric6DofSpring2Constraint.h.

btJacobianEntry btGeneric6DofSpring2Constraint::m_jacLinear[3]
| protected

Definition at line 284 of file btGeneric6DofSpring2Constraint.h.

btTranslationalLimitMotor2 btGeneric6DofSpring2Constraint::m_linearLimits
| protected

Definition at line 287 of file btGeneric6DofSpring2Constraint.h.

RotateOrder btGeneric6DofSpring2Constraint::m_rotateOrder
| protected

Definition at line 290 of file btGeneric6DofSpring2Constraint.h.

The documentation for this class was generated from the following files:

- btGeneric6DofSpring2Constraint.h
- btGeneric6DofSpring2Constraint.cpp